com.sap.conn.jco

## Interface JCoRemoteContext

-     public interface JCoRemoteContext

  This interface comprises all the methods an object representing a remote context of a (failed) RFC connection is required to implement.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `callStackToString()` Returns a string representation of the call stack.
    `String` | `getClient()` Returns the client of this remote context.
    `String` | `getDestination()` Returns the destination of this remote context.
    `Date` | `getFailureTimeStamp()` Returns the time stamp of the failure as a `java.util.Date` object.
    `String` | `getFailureTimeStampAsString()` Returns the time stamp of the failure as a string.
    `String` | `getInstallationNumber()` Returns the installation (license) number of the partner (server).
    `String` | `getLanguage()` Returns the logon language used by the partner (server).
    `String` | `getServerInstance()` Returns the server instance (name) of the partner (server).
    `String` | `getServerIpAddress()` Returns the server IP address of the partner (server).
    `String` | `getUser()` Returns the user used by the partner (server).
    `boolean` | `isCallStackEmpty()` Tests whether a call stack is available that contains at least one entry.

- - ### Method Detail

    - #### getDestination

          String getDestination()

      Returns the destination of this remote context.
      Returns:
        the destination

    - #### getServerIpAddress

          String getServerIpAddress()

      Returns the server IP address of the partner (server).
      Returns:
        the IP address as a string

    - #### getServerInstance

          String getServerInstance()

      Returns the server instance (name) of the partner (server).
      Returns:
        the server instance

    - #### getInstallationNumber

          String getInstallationNumber()

      Returns the installation (license) number of the partner (server).
      Returns:
        the installation number

    - #### getClient

          String getClient()

      Returns the client of this remote context.
      Returns:
        the client

    - #### getUser

          String getUser()

      Returns the user used by the partner (server).
      Returns:
        the user

    - #### getLanguage

          String getLanguage()

      Returns the logon language used by the partner (server).
      Returns:
        the logon language (ISO)

    - #### getFailureTimeStamp

          Date getFailureTimeStamp()

      Returns the time stamp of the failure as a `java.util.Date` object.
      Returns:
        the time of the failure

    - #### getFailureTimeStampAsString

          String getFailureTimeStampAsString()

      Returns the time stamp of the failure as a string.
      Returns:
        the time of the failure in the format YYYYMMDDHHMMSS

    - #### callStackToString

          String callStackToString()

      Returns a string representation of the call stack. Note that this method may return a string `"null"` or similar if the call stack is not available. Use `isCallStackEmpty()` to test whether a call stack is available that contains at least one entry.
      Returns:
        the call stack as a string; a `null` or empty call stack may be represented by any suitable string or `null`

    - #### isCallStackEmpty

          boolean isCallStackEmpty()

      Tests whether a call stack is available that contains at least one entry.
      Returns:
        `true` if no call stack is available that contains at least one entry, `false` otherwise

Copyright © 2018 SAP. All Rights Reserved.